body.responsive-layout .std {
    width: 100%;
}

.bookmarklist {
    position: relative;

    table {
        display: inline-block;
        border-collapse: collapse;

        tr {
            &:nth-child(even) {
                background-color: $bookmark-1;
            }

            &:nth-child(odd) {
                background-color: $bookmark-2;
            }

            &[id*="bookmark_row"] {
                transition: background-color 100ms;

                &:hover {
                    background-color: $bookmark-hover;
                }
            }

            &.hot {
                background-color: $bookmark-hot;
            }

            &.closed-unread {
                opacity: 0.75;

                background-color: $bookmark-closed;
            }

            &.closed-read {
                opacity: 0.25;

                background-color: $bookmark-closed;
            }

            td {
                padding: 0.2rem;
                margin: 0;

                .open-in-new-tab {
                    display: inline-block;

                    margin-left: 5px;

                    text-decoration: none;

                    transform: rotate(-90deg);
                }
            }

            // Bookmark is pinned to the top
            &.is-pinned {
                background-color: $bookmark-pinned;

                &.hot {
                    background-color: $bookmark-pinned-hot;
                }

                &:hover {
                    background-color: $bookmark-pinned-hover !important;
                }
            }
        }
    }
}

#bookmarklist {
    > hr {
        display: none;
    }
}

body.bookmarks-next-to-board {
    .bookmarklist {
        width: 100%;

        table {
            display: table;
            table-layout: fixed;
        }

        tr[id*="bookmark_row"] {
            > td {
                &:nth-child(1) {
                    width: 20px;
                }

                &:nth-child(2) {
                    width: 33%;
                }

                &:nth-child(3) {
                    width: 67%;
                }

                &:nth-child(4) {
                    width: 70px;
                }

                &:nth-child(5) {
                    width: 70px;
                    text-align: right;
                }

                &:nth-child(6) {
                    display: none;
                }
            }
        }
    }

    > div[align="center"] {
        &:nth-child(3) {
            > div.std {
                width: 100% !important;
            }

            > table {
                width: 100% !important;
            }
        }
    }
}

body.bookmarks-next-to-board-right {
    > div[align="center"] {
        &:nth-child(3) {
            > div.std {
                order: 2;
            }

            > table {
                order: 1;
            }
        }
    }
}

@include media-breakpoint-up(lg) {
    body.bookmarks-next-to-board {
        > div[align="center"] {
            &:nth-child(3) {
                display: flex;
                flex-direction: row;
                margin-top: 1rem;
                justify-content: center;

                > div.std {
                    width: 25% !important;
                }

                > table {
                    width: 70% !important;
                }
            }
        }

        &.responsive-layout {
            > div[align="center"] {
                &:nth-child(3) {
                    > div.std {
                        width: 30% !important;
                    }

                    > table {
                        width: 70% !important;
                    }
                }
            }
        }
    }
}
